local Base = require "core.modules.world.actors.actor3D"
local Floor = Base:extend()

function Floor:new(world, x, y, z, w, h, d)
  Floor.super.new(self, world, "wall", x, y, z, w, h, d, true)
  self:setDebugColor(0,0,0)
  self.boxes.Base(self, w, h, d, false)
end

function Floor:update(dt)

end

return Floor
